> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Workflow Execution

> Cancels a running workflow execution.

`Unary` · [`Workflows`](/docs/api-reference/generated/workflow/overview)

Cancels a running workflow execution.

Use this method to:

* Stop long-running executions
* Cancel failed executions
* Manage resource usage

### Examples

* Cancel execution:

  Stops a running workflow execution.

  ```yaml theme={null}
  workflowExecutionId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.WorkflowService/CancelWorkflowExecution
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.WorkflowService/CancelWorkflowExecution" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "workflowExecutionId": "<workflow-execution-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.workflow_pb2 as workflow_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = workflow_pb2.CancelWorkflowExecutionRequest(
      workflow_execution_id="<workflow-execution-id>",
  )
  response = ona.services.workflow.cancel_workflow_execution(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { CancelWorkflowExecutionRequestSchema } from "@gitpod/sdk/gitpod/v1/workflow_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(CancelWorkflowExecutionRequestSchema, {
      workflowExecutionId: "<workflow-execution-id>",
    });
    const response = await ona.services.workflow.cancelWorkflowExecution(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.CancelWorkflowExecutionRequest{
  		WorkflowExecutionId: "<workflow-execution-id>",
  	})
  	response, err := ona.Services.Workflow.CancelWorkflowExecution(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "workflowExecutionId": "<workflow-execution-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.CancelWorkflowExecutionRequest`

CancelWorkflowExecutionRequest cancels a running workflow execution.

| Field                 | Type   | Required | Description                      |
| --------------------- | ------ | -------- | -------------------------------- |
| `workflowExecutionId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.CancelWorkflowExecutionResponse`

This message has no fields.
